<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('penilaian', function (Blueprint $table) {

            $table->dropColumn('teams_id');


            $table->dropColumn('surveyor_id');
            $table->dropColumn('penilaian_id');

            $table->dropColumn('penilai_surveyor_id');

        });
    }


    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('penilaian', function (Blueprint $table) {
            $table->foreignIdFor(Teams::class);
            $table->foreignIdFor(User::class);
        });
    }
};
